#=============================================================
#
#	EXAMPLE.MAK - Makefile for project C:\_DATA\SOFT\SM\Example\OS2\GUI\example.prj
#		Created on 03/03/96 at 18:31
#
#=============================================================

.AUTODEPEND

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +EXAMPLE.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = C:\BCOS2\LIB
INCLUDEPATH = C:\BCOS2\INCLUDE;..\..


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#		List Macros
#=============================================================
LINK_EXCLUDE =  \
 example.res

LINK_INCLUDE =  \
 example.def \
 wndproc.obj \
 vars.obj \
 utils.obj \
 run.obj \
 init.obj \
 destroy.obj \
 example.obj

#=============================================================
#		Explicit Rules
#=============================================================
example.exe: example.cfg $(LINK_INCLUDE) $(LINK_EXCLUDE)
  $(TLINK) /Toe /aa /L$(LIBPATH) @&&|
C:\BCOS2\LIB\C02.OBJ+
wndproc.obj+
vars.obj+
utils.obj+
run.obj+
init.obj+
destroy.obj+
example.obj
example,example
C:\BCOS2\LIB\C2.LIB+
C:\BCOS2\LIB\OS2.LIB
example.def
|
  rc.exe example.res example.exe

#=============================================================
#		Individual File Dependencies
#=============================================================
example.res: example.cfg EXAMPLE.RC 
	brcc.exe -R -I$(INCLUDEPATH) -FO example.res EXAMPLE.RC

wndproc.obj: example.cfg ..\..\wndproc.c 
	$(CC) -c ..\..\wndproc.c

vars.obj: example.cfg ..\..\vars.c 
	$(CC) -c ..\..\vars.c

utils.obj: example.cfg ..\..\utils.c 
	$(CC) -c ..\..\utils.c

run.obj: example.cfg ..\..\run.c 
	$(CC) -c ..\..\run.c

init.obj: example.cfg ..\..\init.c 
	$(CC) -c ..\..\init.c

destroy.obj: example.cfg ..\..\destroy.c 
	$(CC) -c ..\..\destroy.c

example.obj: example.cfg ..\..\example.c 
	$(CC) -c ..\..\example.c

#=============================================================
#		Compiler Configuration File
#=============================================================
example.cfg: example.mak
  copy &&|
-R
-Oi
-Oz
-Ob
-Oe
-Oc
-DOS2;GUI
-L$(LIBPATH)
-I$(INCLUDEPATH)
-H=C:\_DATA\SOFT\SM\Example\OS2\GUI\example.CSM
-vi-
-k-
-O
-Ot
-v
| example.cfg


