#=============================================================
#
#	EXAMPLE.MAK - Makefile for project C:\_DATA\SOFT\SM\Example\OS2\Text\example.prj
#		Created on 03/03/96 at 18:31
#
#=============================================================

.AUTODEPEND

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +EXAMPLE.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = C:\BCOS2\LIB
INCLUDEPATH = C:\BCOS2\INCLUDE;..\..


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#		List Macros
#=============================================================


EXE_DEPENDENCIES =  \
 example.def \
 wndproc.obj \
 vars.obj \
 utils.obj \
 run.obj \
 init.obj \
 destroy.obj \
 example.obj

#=============================================================
#		Explicit Rules
#=============================================================
example.exe: example.cfg $(EXE_DEPENDENCIES)
  $(TLINK) /c /x /wdef /wmsk /wdpl /Toe /ap /L$(LIBPATH) @&&|
C:\BCOS2\LIB\C02.OBJ+
wndproc.obj+
vars.obj+
utils.obj+
run.obj+
init.obj+
destroy.obj+
example.obj
example
		# no map file
C:\BCOS2\LIB\C2.LIB+
C:\BCOS2\LIB\OS2.LIB
example.def
|


#=============================================================
#		Individual File Dependencies
#=============================================================
wndproc.obj: example.cfg ..\..\wndproc.c 
	$(CC) -c ..\..\wndproc.c

vars.obj: example.cfg ..\..\vars.c 
	$(CC) -c ..\..\vars.c

utils.obj: example.cfg ..\..\utils.c 
	$(CC) -c ..\..\utils.c

run.obj: example.cfg ..\..\run.c 
	$(CC) -c ..\..\run.c

init.obj: example.cfg ..\..\init.c 
	$(CC) -c ..\..\init.c

destroy.obj: example.cfg ..\..\destroy.c 
	$(CC) -c ..\..\destroy.c

example.obj: example.cfg ..\..\example.c 
	$(CC) -c ..\..\example.c

#=============================================================
#		Compiler Configuration File
#=============================================================
example.cfg: example.mak
  copy &&|
-R
-Oi
-Oz
-Ob
-Oe
-Oc
-DOS2
-L$(LIBPATH)
-I$(INCLUDEPATH)
-H=C:\_DATA\SOFT\SM\Example\OS2\Text\example.CSM
-vi-
-b-
-d
-k-
-O
-Ot
-v
-w
| example.cfg


